Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jprotein.rasmol
Class Property

    java.lang.Object
      jprotein.rasmol.Property

    public class Property

extends java.lang.Object

Constructor Summary
`Property(javax.vecmath.Color3f defaultColor)`
`Property(javax.vecmath.Color3f defaultColor, javax.vecmath.Color3f colMin, javax.vecmath.Color3f colMid, javax.vecmath.Color3f colMax)`
`Property(javax.vecmath.Color3f defaultColor, java.util.Vector values)`
`Property(java.util.Vector values, javax.vecmath.Color3f defaultColor, javax.vecmath.Color3f colMin, javax.vecmath.Color3f colMid, javax.vecmath.Color3f colMax)`

Method Summary
`javax.vecmath.Color3f` | `getPropertyColor(int index)`
`double` | `getPropertyValue(int index)`
`void` | `setColors(javax.vecmath.Color3f colMin, javax.vecmath.Color3f colMid, javax.vecmath.Color3f colMax)`
`void` | `setProperty(java.util.Vector values)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Property

    public Property(javax.vecmath.Color3f defaultColor)

### Property

    public Property(javax.vecmath.Color3f defaultColor,
                    javax.vecmath.Color3f colMin,
                    javax.vecmath.Color3f colMid,
                    javax.vecmath.Color3f colMax)

### Property

    public Property(javax.vecmath.Color3f defaultColor,
                    java.util.Vector values)

### Property

    public Property(java.util.Vector values,
                    javax.vecmath.Color3f defaultColor,
                    javax.vecmath.Color3f colMin,
                    javax.vecmath.Color3f colMid,
                    javax.vecmath.Color3f colMax)

Method Detail

### getPropertyValue

    public double getPropertyValue(int index)

### getPropertyColor

    public javax.vecmath.Color3f getPropertyColor(int index)

### setColors

    public void setColors(javax.vecmath.Color3f colMin,
                          javax.vecmath.Color3f colMid,
                          javax.vecmath.Color3f colMax)

### setProperty

    public void setProperty(java.util.Vector values)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD